package client.network;

import client.Client;
import client.util.DummyController;
import client.world.WorldClient;
import common.dimension.Space;
import common.entity.Entity;
import common.entity.npc.EntityCpu;
import common.init.EntityRegistry;
import common.model.ParticleType;
import common.network.Packet;
import common.packet.SPacketEntity;
import common.packet.SPacketEntityTeleport;
import common.packet.SPacketEntityHeadLook;
import common.packet.SPacketEntityStatus;
import common.packet.SPacketEntityAttach;
import common.packet.SPacketEntityMetadata;
import common.packet.SPacketEntityEffect;
import common.packet.SPacketRemoveEntityEffect;
import common.packet.SPacketEntityProperties;
import common.packet.SPacketExplosion;
import common.packet.SPacketEffect;
import common.packet.SPacketSoundEffect;
import common.packet.SPacketParticles;
import common.packet.SPacketChangeGameState;
import common.packet.SPacketSpawnGlobalEntity;
import common.packet.SPacketOpenWindow;
import common.packet.SPacketCloseWindow;
import common.packet.SPacketSetSlot;
import common.packet.SPacketWindowItems;
import common.packet.SPacketWindowProperty;
import common.packet.SPacketConfirmTransaction;
import common.packet.SPacketUpdateSign;
import common.packet.SPacketUpdateTileEntity;
import common.packet.SPacketSignEditorOpen;
import common.packet.SPacketPlayerListItem;
import common.packet.SPacketPlayerAbilities;
import common.packet.SPacketTabComplete;
import common.packet.SPacketUpdateEntityTags;
import common.packet.SPacketAnimation;
import common.packet.SPacketBiome;
import common.packet.SPacketBlockAction;
import common.packet.SPacketBlockBreakAnim;
import common.packet.SPacketBlockChange;
import common.packet.SPacketCamera;
import common.packet.SPacketCharacterList;
import common.packet.SPacketChunkData;
import common.packet.SPacketCollectItem;
import common.packet.SPacketDestroyEntities;
import common.packet.SPacketDimensionName;
import common.packet.SPacketDisconnect;
import common.packet.SPacketDisplayForm;
import common.packet.SPacketEntityEquipment;
import common.packet.SPacketEntityVelocity;
import common.packet.SPacketHeldItemChange;
import common.packet.SPacketJoinGame;
import common.packet.SPacketKeepAlive;
import common.packet.SPacketLoading;
import common.packet.SPacketMapChunkBulk;
import common.packet.SPacketMessage;
import common.packet.SPacketMultiBlockChange;
import common.packet.SPacketPlayerPosLook;
import common.packet.SPacketRespawn;
import common.packet.SPacketServerTick;
import common.packet.SPacketSetExperience;
import common.packet.SPacketSkin;
import common.packet.SPacketSpawnMob;
import common.packet.SPacketSpawnObject;
import common.packet.SPacketSpawnPlayer;
import common.packet.SPacketTimeUpdate;
import common.packet.SPacketTrades;
import common.packet.SPacketUpdateHealth;
import common.packet.SPacketWorld;
import common.potion.Potion;
import common.potion.PotionEffect;
import common.sound.Sound;

public class DummyPlayer extends ClientPlayer {
	public DummyPlayer(Client gm) {
		super(gm, new DummyConnection());
	}

	public void join() {
		this.gm.noResolve = true;
		this.gm.charEditor = false;
		this.gm.controller = new DummyController(this);
		WorldClient world = new WorldClient(this.gm, true, Space.INSTANCE);
		this.gm.loadWorld(world, EntityRegistry.getEntityID(EntityCpu.class));
		this.gm.player.setId(0);
		this.gm.displayGuiScreen(null);
		this.gm.player.flying = true;
		this.gm.player.noclip = true;
		this.gm.player.addEffect(new PotionEffect(Potion.FLYING, Integer.MAX_VALUE, 1));
		this.gm.player.setHeight(2.0f);
		world.setGravity(this.gm.gravity = 1.0f);
		world.setTimeFactor(this.gm.timeFactor = 1);
		this.gm.dayCycle = true;
	}
	

	public void cleanup() {
	}

	public void playSound(Sound sound) {
	}

	public void emitParticleAtEntity(Entity entityIn, ParticleType particleTypes) {
	}

	public void onDisconnect(String reason) {
	}

	public void addToSendQueue(Packet packet) {
	}
	

	public void handleJoinGame(SPacketJoinGame packetIn) {
	}

	public void handleSpawnObject(SPacketSpawnObject packetIn) {
	}

	public void handleSpawnGlobalEntity(SPacketSpawnGlobalEntity packetIn) {
	}

	public void handleEntityVelocity(SPacketEntityVelocity packetIn) {
	}

	public void handleEntityMetadata(SPacketEntityMetadata packetIn) {
	}

	public void handleSpawnPlayer(SPacketSpawnPlayer packetIn) {
	}

	public void handleEntityTeleport(SPacketEntityTeleport packetIn) {
	}

	public void handleHeldItemChange(SPacketHeldItemChange packetIn) {
	}

	public void handleEntityMovement(SPacketEntity packetIn) {
	}

	public void handleEntityHeadLook(SPacketEntityHeadLook packetIn) {
	}

	public void handleDestroyEntities(SPacketDestroyEntities packetIn) {
	}

	public void handlePlayerPosLook(SPacketPlayerPosLook packetIn) {
	}

	public void handleMultiBlockChange(SPacketMultiBlockChange packetIn) {
	}

	public void handleChunkData(SPacketChunkData packetIn) {
	}

	public void handleBiomes(SPacketBiome packetIn) {
	}

	public void handleBlockChange(SPacketBlockChange packetIn) {
	}

	public void handleDisconnect(SPacketDisconnect packetIn) {
	}

	public void handleCollectItem(SPacketCollectItem packetIn) {
	}

	public void handleMessage(SPacketMessage packetIn) {
	}

	public void handleLoading(SPacketLoading packet) {
	}

	public void handleAnimation(SPacketAnimation packetIn) {
	}

	public void handleSpawnMob(SPacketSpawnMob packetIn) {
	}

	public void handleTimeUpdate(SPacketTimeUpdate packetIn) {
	}

	public void handleServerTick(SPacketServerTick packet) {
	}

	public void handleEntityAttach(SPacketEntityAttach packetIn) {
	}

	public void handleEntityStatus(SPacketEntityStatus packetIn) {
	}

	public void handleUpdateHealth(SPacketUpdateHealth packetIn) {
	}

	public void handleSetExperience(SPacketSetExperience packetIn) {
	}

	public void handleRespawn(SPacketRespawn packetIn) {
	}

	public void handleExplosion(SPacketExplosion packetIn) {
	}

	public void handleOpenWindow(SPacketOpenWindow packetIn) {
	}

	public void handleSetSlot(SPacketSetSlot packetIn) {
	}

	public void handleConfirmTransaction(SPacketConfirmTransaction packetIn) {
	}

	public void handleWindowItems(SPacketWindowItems packetIn) {
	}

	public void handleSignEditorOpen(SPacketSignEditorOpen packetIn) {
	}

	public void handleForm(SPacketDisplayForm packet) {
	}

	public void handleUpdateSign(SPacketUpdateSign packetIn) {
	}

	public void handleUpdateTileEntity(SPacketUpdateTileEntity packetIn) {
	}

	public void handleWindowProperty(SPacketWindowProperty packetIn) {
	}

	public void handleEntityEquipment(SPacketEntityEquipment packetIn) {
	}

	public void handleCloseWindow(SPacketCloseWindow packetIn) {
	}

	public void handleBlockAction(SPacketBlockAction packetIn) {
	}

	public void handleBlockBreakAnim(SPacketBlockBreakAnim packetIn) {
	}

	public void handleMapChunkBulk(SPacketMapChunkBulk packetIn) {
	}

	public void handleChangeGameState(SPacketChangeGameState packetIn) {
	}

	public void handleEffect(SPacketEffect packetIn) {
	}

	public void handleEntityEffect(SPacketEntityEffect packetIn) {
	}

	public void handleCamera(SPacketCamera packetIn) {
	}

	public void handleRemoveEntityEffect(SPacketRemoveEntityEffect packetIn) {
	}

	public void handlePlayerListItem(SPacketPlayerListItem packetIn) {
	}

	public void handleCharacterList(SPacketCharacterList packet) {
	}

	public void handleKeepAlive(SPacketKeepAlive packetIn) {
	}

	public void handlePlayerAbilities(SPacketPlayerAbilities packetIn) {
	}

	public void handleTabComplete(SPacketTabComplete packetIn) {
	}

	public void handleSoundEffect(SPacketSoundEffect packetIn) {
	}

	public void handleEntityTags(SPacketUpdateEntityTags packetIn) {
	}

	public void handleParticles(SPacketParticles packetIn) {
	}

	public void handleEntityProperties(SPacketEntityProperties packetIn) {
	}

	public void handleSkin(SPacketSkin packetIn) {
	}

	public void handleTrades(SPacketTrades packetIn) {
	}

	public void handleWorld(SPacketWorld packetIn) {
	}

	public void handleDimName(SPacketDimensionName packetIn) {
	}
}
