package client.util;

import client.network.DummyPlayer;
import client.world.WorldClient;
import common.entity.Entity;
import common.entity.npc.EntityNPC;
import common.init.EntityRegistry;
import common.item.ItemStack;
import common.util.BlockPos;
import common.util.Facing;
import common.util.Vec3;
import common.world.World;

public class DummyController extends PlayerController {
	private final DummyPlayer player;
	
	public DummyController(DummyPlayer player) {
		super(null, null);
		this.player = player;
	}

	public boolean destroyBlock(BlockPos pos, Facing side) {
		return false;
	}

	public boolean clickBlock(BlockPos pos, Facing face) {
		return false;
	}

	public void resetProgress() {
	}

	public void resetInteraction() {
	}

	public boolean damageBlock(BlockPos pos, Facing face) {
		return false;
	}

	public void update() {
	}

	public boolean clickRight(EntityNPC player, WorldClient world, ItemStack stack, BlockPos pos, Facing side, Vec3 hit) {
		return false;
	}

	public boolean sendUseItem(EntityNPC player, World world, ItemStack stack) {
		return false;
	}

	public EntityNPC createPlayerEntity(WorldClient world, int type) {
		EntityNPC player = (EntityNPC)EntityRegistry.createEntityByID(type, world);
		player.setClientPlayer(this.player);
		return player;
	}

	public void attackEntity(EntityNPC player, Entity target) {
	}

	public boolean interact(EntityNPC player, Entity target) {
		return false;
	}

	public ItemStack windowClick(int window, int slot, int button, int mode, EntityNPC player) {
		return null;
	}

	public void sendEnchantPacket(int window, int button) {
	}

	public void stopUsing(EntityNPC player) {
	}

	public boolean isHittingBlock() {
		return false;
	}
}
