package server.command.commands;

import server.command.Command;
import server.command.CommandEnvironment;
import server.command.Executor;
import server.command.UserPolicy;
import server.network.Player;
import server.network.User;

public class CommandAdmin extends Command {
	public CommandAdmin() {
		super("admin");
		
		this.addUser("user", false, UserPolicy.NON_ADMINS_STRICT);
	}
	
	public void exec(CommandEnvironment env, Executor exec, User user) {
		user.setAdmin(true);
		if(user.isOnline())
			((Player)user).logConsole("Du hast Administatorrechte von %s bekommen", exec.getExecId());
		exec.logConsole("%s ist jetzt ein Admin", user.getUser());
	}
}
